package cn.dg32z.lon.commands.sub;

import cn.dg32z.libs.chengzhiya.task.mhdfscheduler.scheduler.MHDFScheduler;
import cn.dg32z.libs.org.jetbrains.annotations.NotNull;
import cn.dg32z.lon.LonAntiCheat;
import cn.dg32z.lon.PluginLoader;
import cn.dg32z.lon.commands.AbstractCommand;
import cn.dg32z.lon.utils.data.FreezeData;
import java.util.List;
import java.util.stream.Collectors;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

/* loaded from: cn_dg32z_lon_commands_sub.jar:cn/dg32z/lon/commands/sub/Freeze.class */
public final class Freeze extends AbstractCommand {
    public Freeze() {
        super("freeze", "lonac.commands.freeze", false);
    }

    public void execute(@NotNull CommandSender sender, @NotNull String label, @NotNull String[] args) {
        if (args.length < 1) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.freeze.usage"));
            return;
        }
        Player target = Bukkit.getPlayer(args[0]);
        if (target == null) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("not-found").replace("%player%", args[0]));
            return;
        }
        if (target == sender) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("not-my-self"));
            return;
        }
        if (FreezeData.isFrozen(target)) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n(target, "commands.freeze.already-frozen"));
            return;
        }
        FreezeData.setFrozen(target, true);
        MHDFScheduler.getEntityScheduler().runTask(LonAntiCheat.getInstance(), target, task -> {
            if (target.getVehicle() != null) {
                target.leaveVehicle();
            }
        }, (Runnable) null);
        sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n(target, "commands.freeze.message"));
        target.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18nWithOutPrefix("commands.freeze.target-side"));
    }

    public List<String> tabCompleter(@NotNull CommandSender sender, @NotNull String label, @NotNull String[] args) {
        if (args.length == 1) {
            return (List) Bukkit.getOnlinePlayers().stream().map((v0) -> {
                return v0.getName();
            }).filter(name -> {
                return name.toLowerCase().startsWith(args[0].toLowerCase());
            }).collect(Collectors.toList());
        }
        return List.of();
    }
}
